/* Copyright 1996, Jan D. Wolter and Steven R. Weiss, All Rights Reserved. */

/* Utility routines for command line programs. */

#include <stdio.h>
#include "common.h"

/* DIE - Exit with an error condition.  Arguments are like printf(), specifying
 * a message to print before exiting.
 */

#if __STDC__ && HAVE_STDVARARGS
void die(const char *fmt, ...)
#else
void die(fmt, va_alist)
    const char *fmt;
    va_dcl
#endif
{
#if HAVE_STDVARARGS
va_list ap;
#endif

    VA_START(ap,fmt);
    VA_PRINTF(stderr, fmt, ap);
    putc('\n',stderr);
    VA_END(ap);
    exit(1);
}
